API Explorer 936 endpoints

Get Bank

GET /obp/v7.0.0/banks/BANK_ID

OBPv6.0.0-getBank No role required BankAccount Information Service (AIS)PSD2

Get the bank specified by BANK_ID Returns information about a single bank specified by BANK_ID including:

  • bank_id: The unique identifier of this bank
  • Short and full name of bank
  • Logo URL
  • Website

User Authentication is Optional. The User need not be logged in.

URL Parameters:

BANK_ID: gh.29.uk

JSON response body fields (11)
address
bank_code
CGHZ
bank_id
gh.29.uk
bank_routings
bank routing in form of (scheme, address)
full_name
full name string
logo
logo url
name
ACCOUNT_MANAGEMENT_FEE
scheme
OBP
value
5987953
website
www.openbankproject.com
attributes
attribute value in form of (name, value)
Example success response
{
  "bank_id": "gh.29.uk",
  "bank_code": "bank_code",
  "full_name": "full_name",
  "logo": "logo",
  "website": "www.openbankproject.com",
  "bank_routings": [
    {
      "scheme": "OBP",
      "address": "gh.29.uk"
    }
  ],
  "attributes": [
    {
      "name": "OVERDRAFT_LIMIT",
      "value": "1000"
    }
  ]
}
Possible errors (2)
  • OBP-50000: Unknown Error.
  • OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
Implemented by OBPv6.0.0 getBank Originally /obp/v6.0.0/banks/BANK_ID